KDE 4.5 PyKDE API Reference

- KDE's Python API

# TextBrowser Class Reference

`from PyKDE4.plasma import *`

Inherits: QGraphicsProxyWidget → QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

TextBrowser plasma/widgets/TextBrowser.h <Plasma/Widgets/TextBrowser>

Provides a plasma-themed KTextBrowser.

Since:
  4.3

## Signals
| textChanged ()
## Methods
| __init__ (self, QGraphicsWidget parent=0)
| append (self, QString text)
| changeEvent (self, QEvent event)
| contextMenuEvent (self, QGraphicsSceneContextMenuEvent event)
| dataUpdated (self, QString sourceName, {QString:QVariant} data)
KTextBrowser | nativeWidget (self)
| resizeEvent (self, QGraphicsSceneResizeEvent event)
| setHorizontalScrollBarPolicy (self, Qt::ScrollBarPolicy policy)
| setStyleSheet (self, QString stylesheet)
| setText (self, QString text)
| setVerticalScrollBarPolicy (self, Qt::ScrollBarPolicy policy)
QString | styleSheet (self)
QString | text (self)
| wheelEvent (self, QGraphicsSceneWheelEvent event)

## Signal Documentation

textChanged | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("textChanged()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QGraphicsWidget | parent=0
| ) |  |  |

append | ( | self, |
|  | QString | text
| ) |  |  |

Allows appending text to the text browser

Since:
  4.4

changeEvent | ( | self, |
|  | QEvent | event
| ) |  |  |

contextMenuEvent | ( | self, |
|  | QGraphicsSceneContextMenuEvent | event
| ) |  |  |

dataUpdated | ( | self, |
|  | QString | sourceName,
|  | {QString:QVariant} | data
| ) |  |  |

KTextBrowser nativeWidget | ( |  | self ) |

Returns:
  the native widget wrapped by this TextBrowser

resizeEvent | ( | self, |
|  | QGraphicsSceneResizeEvent | event
| ) |  |  |

setHorizontalScrollBarPolicy | ( | self, |
|  | Qt::ScrollBarPolicy | policy
| ) |  |  |

Sets the policy used to show/hide the horizontal scrollbar

setStyleSheet | ( | self, |
|  | QString | stylesheet
| ) |  |  |

Sets the stylesheet used to control the visual display of this TextBrowser

@arg stylesheet a CSS string

setText | ( | self, |
|  | QString | text
| ) |  |  |

Sets the display text for this TextBrowser

@arg text the text to display; should be translated.

setVerticalScrollBarPolicy | ( | self, |
|  | Qt::ScrollBarPolicy | policy
| ) |  |  |

Sets the policy used to show/hide the vertical scrollbar

QString styleSheet | ( |  | self ) |

Returns:
  the stylesheet currently used with this widget

QString text | ( |  | self ) |

Returns:
  the display text

wheelEvent | ( | self, |
|  | QGraphicsSceneWheelEvent | event
| ) |  |  |